com.orsoncharts.renderer.xyz

## Class LineXYZRenderer

- java.lang.Object
- - com.orsoncharts.renderer.AbstractRenderer3D
  - - com.orsoncharts.renderer.xyz.AbstractXYZRenderer
    - - com.orsoncharts.renderer.xyz.LineXYZRenderer

- All Implemented Interfaces:
    ChartElement, Renderer3D, XYZRenderer, java.io.Serializable

      public class LineXYZRenderer
      extends AbstractXYZRenderer
      implements XYZRenderer, java.io.Serializable

  A renderer that draws 3D lines on an `XYZPlot` using data from an `XYZDataset`. Here is a sample:
  (refer to `XYZLineChart3DDemo1.java` for the code to generate the above chart).
  NOTE: This class is serializable, but the serialization format is subject to change in future releases and should not be relied upon for persisting instances of this class.
  Since:
    1.5
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface com.orsoncharts.renderer.Renderer3D

      `TRANSPARENT_COLOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LineXYZRenderer()` Creates a new default instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `composeItem(XYZDataset dataset, int series, int item, World world, Dimension3D dimensions, double xOffset, double yOffset, double zOffset)` Adds a single line representing one item from the dataset.
    `boolean` | `equals(java.lang.Object obj)` Tests this renderer for equality with an arbitrary object.

    - ### Methods inherited from class com.orsoncharts.renderer.xyz.AbstractXYZRenderer

      `composeAll, findXRange, findYRange, findZRange, getColorSource, getComposeType, getItemLabelGenerator, getPlot, setColors, setColorSource, setItemLabelGenerator, setPlot`

    - ### Methods inherited from class com.orsoncharts.renderer.AbstractRenderer3D

      `addChangeListener, fireChangeEvent, getItemLabelBackgroundColor, getItemLabelColor, getItemLabelFont, getItemLabelPositioning, isNotify, notifyListeners, receive, removeChangeListener, setItemLabelBackgroundColor, setItemLabelColor, setItemLabelFont, setItemLabelPositioning, setNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.orsoncharts.renderer.xyz.XYZRenderer

      `composeAll, findXRange, findYRange, findZRange, getColorSource, getComposeType, getPlot, setColors, setColorSource, setPlot`

    - ### Methods inherited from interface com.orsoncharts.renderer.Renderer3D

      `addChangeListener, removeChangeListener`

    - ### Methods inherited from interface com.orsoncharts.ChartElement

      `receive`

- - ### Constructor Detail

    - #### LineXYZRenderer

          public LineXYZRenderer()

      Creates a new default instance.

  - ### Method Detail

    - #### composeItem

          public void composeItem(XYZDataset dataset,
                                  int series,
                                  int item,
                                  World world,
                                  Dimension3D dimensions,
                                  double xOffset,
                                  double yOffset,
                                  double zOffset)

      Adds a single line representing one item from the dataset.
      Specified by:
        `composeItem` in interface `XYZRenderer`
      Parameters:
        `dataset` - the dataset.
        `series` - the series index.
        `item` - the item index.
        `world` - the world used to model the 3D chart.
        `dimensions` - the plot dimensions in 3D.
        `xOffset` - the x-offset.
        `yOffset` - the y-offset.
        `zOffset` - the z-offset.

    - #### equals

          public boolean equals(java.lang.Object obj)

      Tests this renderer for equality with an arbitrary object.
      Overrides:
        `equals` in class `AbstractXYZRenderer`
      Parameters:
        `obj` - the object (`null` permitted).
      Returns:
        A boolean.